USE [COWS]
GO
_CreateObject 'SP','dbo','GetEventDataByEventID'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Project:		COWS - ProdSupport
-- Author:		Joshua Judiel Bolano
-- Create date: 07/03/2017
-- Description:	Get Event Data via Event ID
-- exec GetEventDataByEventID 1688
-- =============================================
ALTER PROCEDURE [dbo].[GetEventDataByEventID]
	-- Add the parameters for the stored procedure here
	@EVENT_ID INT,
	@csglvl tinyint
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	DECLARE @EVENT_TYPE_ID TINYINT
	
	IF EXISTS (SELECT 'X' FROM dbo.EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID AND CSG_LVL_ID>0 AND ((CSG_LVL_ID < @csglvl) OR (@csglvl=0)))
		RETURN;

	SELECT @EVENT_TYPE_ID = EVENT_TYPE_ID FROM dbo.[EVENT] WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID

	IF (@EVENT_TYPE_ID = 1)
	BEGIN
		SELECT 'dbo.AD_EVENT', * FROM dbo.AD_EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.AD_EVENT_ACCS_TAG', * FROM dbo.AD_EVENT_ACCS_TAG WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		--SELECT 'dbo.CUST_SCRD_DATA-AD_EVENT', csd.* FROM dbo.AD_EVENT ad WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ad.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=1 WHERE ad.EVENT_ID=@EVENT_ID
	END
	ELSE IF (@EVENT_TYPE_ID = 2)
	BEGIN
		SELECT 'dbo.NGVN_EVENT', * FROM dbo.NGVN_EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.NGVN_EVENT_CKT_ID_NUA', * FROM dbo.NGVN_EVENT_CKT_ID_NUA WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.NGVN_EVENT_SIP_TRNK', * FROM dbo.NGVN_EVENT_SIP_TRNK WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		--SELECT 'dbo.CUST_SCRD_DATA-NGVN_EVENT', csd.* FROM dbo.NGVN_EVENT nv WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=nv.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=11 WHERE nv.EVENT_ID=@EVENT_ID
	END
	ELSE IF (@EVENT_TYPE_ID = 3)
	BEGIN
		SELECT 'dbo.MPLS_EVENT', * FROM dbo.MPLS_EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.MPLS_EVENT_ACCS_TAG', * FROM dbo.MPLS_EVENT_ACCS_TAG WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.MPLS_EVENT_ACTY_TYPE', * FROM dbo.MPLS_EVENT_ACTY_TYPE WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.MPLS_EVENT_VAS_TYPE', * FROM dbo.MPLS_EVENT_VAS_TYPE WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		--SELECT 'dbo.CUST_SCRD_DATA-MPLS_EVENT', csd.* FROM dbo.MPLS_EVENT ev WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ev.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=9 WHERE ev.EVENT_ID=@EVENT_ID
		--SELECT 'dbo.CUST_SCRD_DATA-MPLS_EVENT_ACCS_TAG', csd.* FROM dbo.MPLS_EVENT_ACCS_TAG ev WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ev.MPLS_EVENT_ACCS_TAG_ID AND csd.SCRD_OBJ_TYPE_ID=28 WHERE ev.EVENT_ID=@EVENT_ID
	END
	ELSE IF (@EVENT_TYPE_ID = 4)
	BEGIN
		SELECT 'dbo.SPLK_EVENT', * FROM dbo.SPLK_EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.SPLK_EVENT_ACCS', * FROM dbo.SPLK_EVENT_ACCS WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		--SELECT 'dbo.CUST_SCRD_DATA-SPLK_EVENT', csd.* FROM dbo.SPLK_EVENT ev WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ev.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=19 WHERE ev.EVENT_ID=@EVENT_ID
	END
	ELSE IF (@EVENT_TYPE_ID = 5)
	BEGIN
		IF EXISTS (SELECT 'X' FROM dbo.MDS_EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID)
		BEGIN
			SELECT 'dbo.MDS_EVENT', * FROM dbo.MDS_EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
			--IF EXISTS (SELECT 'X' FROM dbo.MDS_EVENT WITH (NOLOCK) WHERE NTWK_ACTY_TYPE_ID<>2 AND EVENT_ID=@EVENT_ID)
			--BEGIN
				SELECT 'dbo.MDS_EVENT_ODIE_DEV', * FROM dbo.MDS_EVENT_ODIE_DEV WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
				SELECT 'dbo.EVENT_DEV_CMPLT', * FROM dbo.EVENT_DEV_CMPLT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID ORDER BY CREAT_DT DESC
				SELECT 'dbo.EVENT_CPE_DEV', * FROM dbo.EVENT_CPE_DEV WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID ORDER BY CREAT_DT DESC
				SELECT 'dbo.EVENT_DEV_SRVC_MGMT' , * FROM dbo.EVENT_DEV_SRVC_MGMT  WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID ORDER BY CREAT_DT DESC
				SELECT 'dbo.MDS_EVENT_SITE_SRVC', * FROM dbo.MDS_EVENT_SITE_SRVC WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
				SELECT 'dbo.MDS_EVENT_DSL_SBIC_CUST_TRPT', * FROM dbo.MDS_EVENT_DSL_SBIC_CUST_TRPT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
				SELECT 'dbo.MDS_EVENT_MAC_ACTY', * FROM dbo.MDS_EVENT_MAC_ACTY WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
				SELECT 'dbo.MDS_EVENT_SLNK_WIRED_TRPT', * FROM dbo.MDS_EVENT_SLNK_WIRED_TRPT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
				SELECT 'dbo.MDS_EVENT_PORT_BNDWD', * FROM dbo.MDS_EVENT_PORT_BNDWD WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
				SELECT 'dbo.MDS_EVENT_WRLS_TRPT', * FROM dbo.MDS_EVENT_WRLS_TRPT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
				SELECT 'dbo.EVENT_DISCO_DEV', * FROM dbo.EVENT_DISCO_DEV WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
				SELECT 'dbo.REDSGN', rd.* FROM dbo.MDS_EVENT_ODIE_DEV meod with (nolock) inner join
					dbo.REDSGN rd with (nolock) on rd.redsgn_nbr=meod.RDSN_NBR
				WHERE meod.EVENT_ID=@EVENT_ID
				SELECT 'dbo.REDSGN_DEVICES_INFO', rdi.* FROM dbo.MDS_EVENT_ODIE_DEV meod with (nolock) inner join
					dbo.REDSGN rd with (nolock) on rd.redsgn_nbr=meod.RDSN_NBR inner join
					dbo.REDSGN_DEVICES_INFO rdi with (nolock) on rdi.dev_nme=meod.odie_dev_nme and rd.REDSGN_ID = rdi.REDSGN_ID
				WHERE meod.EVENT_ID=@EVENT_ID
				  AND rdi.REC_STUS_ID=1
			--END
			--IF EXISTS (SELECT 'X' FROM dbo.MDS_EVENT WITH (NOLOCK) WHERE NTWK_ACTY_TYPE_ID<>1 AND EVENT_ID=@EVENT_ID)
			--BEGIN
				SELECT 'dbo.MDS_EVENT_NTWK_ACTY', mena.* FROM dbo.MDS_EVENT_NTWK_ACTY mena WITH (NOLOCK) WHERE mena.EVENT_ID=@EVENT_ID
				SELECT 'dbo.MDS_EVENT_NTWK_CUST', mnc.* FROM dbo.MDS_EVENT_NTWK_CUST mnc WITH (NOLOCK) WHERE mnc.EVENT_ID=@EVENT_ID
				SELECT 'dbo.MDS_EVENT_NTWK_TRPT', mnt.* FROM dbo.MDS_EVENT_NTWK_TRPT mnt WITH (NOLOCK) WHERE mnt.EVENT_ID=@EVENT_ID
				SELECT 'dbo.NID_ACTY', na.* FROM dbo.NID_ACTY na WITH (NOLOCK) WHERE na.EVENT_ID=@EVENT_ID
				UNION
				SELECT 'dbo.NID_ACTY', na.* FROM dbo.NID_ACTY na WITH (NOLOCK) INNER JOIN dbo.MDS_EVENT_NTWK_TRPT mnt ON mnt.MACH5_ORDR_NBR=na.M5_ORDR_NBR WHERE mnt.EVENT_ID=@EVENT_ID
				SELECT 'dbo.MPLS_EVENT_ACTY_TYPE', mat.*, lmat.MPLS_ACTY_TYPE_DES FROM dbo.MPLS_EVENT_ACTY_TYPE mat WITH (NOLOCK) INNER JOIN dbo.LK_MPLS_ACTY_TYPE lmat ON lmat.MPLS_ACTY_TYPE_ID=mat.MPLS_ACTY_TYPE_ID WHERE mat.EVENT_ID=@EVENT_ID
			--END
			SELECT 'dbo.MDS_EVENT_FORM_CHNG', * FROM dbo.MDS_EVENT_FORM_CHNG WITH (NOLOCK) WHERE MDS_EVENT_ID=@EVENT_ID ORDER BY CREAT_DT DESC
			--SELECT 'dbo.CUST_SCRD_DATA-MDS_EVENT', csd.* FROM dbo.MDS_EVENT ev WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ev.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=7 WHERE ev.EVENT_ID=@EVENT_ID
		END
		ELSE
		BEGIN 
			SELECT 'dbo.MDS_EVENT_NEW', * FROM dbo.MDS_EVENT_NEW WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
			SELECT 'dbo.FSA_MDS_EVENT_NEW', * FROM dbo.FSA_MDS_EVENT_NEW WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_MNGD_ACT_NEW', * FROM dbo.MDS_MNGD_ACT_NEW WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_DISCO', * FROM dbo.MDS_EVENT_DISCO WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_ODIE_DEV_NME', meod.* 
			FROM dbo.MDS_EVENT_ODIE_DEV_NME meod WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=meod.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_ACCS', mea.* 
			FROM dbo.MDS_EVENT_ACCS mea WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mea.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_CPE', mec.* 
			FROM dbo.MDS_EVENT_CPE mec WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mec.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_MNS', mem.* 
			FROM dbo.MDS_EVENT_MNS mem WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mem.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_WIRED_TRPT', mewt.* 
			FROM dbo.MDS_EVENT_WIRED_TRPT mewt WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mewt.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_SPAE_TRPT', mest.* 
			FROM dbo.MDS_EVENT_SPAE_TRPT mest WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mest.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_DSL_TRPT', medt.* 
			FROM dbo.MDS_EVENT_DSL_TRPT medt WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=medt.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_SPRINT_LINK_ATM_TRPT', mesl.* 
			FROM dbo.MDS_EVENT_SPRINT_LINK_ATM_TRPT mesl WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mesl.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_VLAN', mev.* 
			FROM dbo.MDS_EVENT_VLAN mev WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mev.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_WRLS_TRPT', mewt.* 
			FROM dbo.MDS_EVENT_WRLS_TRPT mewt WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mewt.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_VRTL_CNCTN', mevc.* 
			FROM dbo.MDS_EVENT_VRTL_CNCTN mevc WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mevc.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_SRVC', mes.* 
			FROM dbo.MDS_EVENT_SRVC mes WITH (NOLOCK)
				INNER JOIN dbo.FSA_MDS_EVENT_NEW fmen WITH (NOLOCK) ON fmen.FSA_MDS_EVENT_ID=mes.FSA_MDS_EVENT_ID  
			WHERE fmen.EVENT_ID=@EVENT_ID
			SELECT 'dbo.FSA_MDS_EVENT_ORDR', fmeo.*  FROM dbo.FSA_MDS_EVENT_ORDR fmeo WITH (NOLOCK)  WHERE fmeo.EVENT_ID=@EVENT_ID
			SELECT 'dbo.MDS_EVENT_FORM_CHNG', * FROM dbo.MDS_EVENT_FORM_CHNG WITH (NOLOCK) WHERE MDS_EVENT_ID=@EVENT_ID
			--SELECT 'dbo.CUST_SCRD_DATA-MDS_EVENT_NEW', csd.* FROM dbo.MDS_EVENT_NEW ev WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ev.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=8 WHERE ev.EVENT_ID=@EVENT_ID
			--SELECT 'dbo.CUST_SCRD_DATA-FSA_MDS_EVENT_NEW', csd.* FROM dbo.FSA_MDS_EVENT_NEW ev WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ev.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=4 WHERE ev.EVENT_ID=@EVENT_ID
			--SELECT 'dbo.CUST_SCRD_DATA-FSA_MDS_EVENT', csd.* FROM dbo.FSA_MDS_EVENT ev WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ev.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=3 WHERE ev.EVENT_ID=@EVENT_ID
		END
	END
	ELSE IF (@EVENT_TYPE_ID = 9)
	BEGIN
		SELECT 'This is Fedline Event, Please Ping David Phillips or Pramod Fernandez for HELP'
	END
	ELSE IF (@EVENT_TYPE_ID = 10)
	BEGIN
		SELECT 'dbo.SIPT_EVENT', * FROM dbo.SIPT_EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.SIPT_EVENT_ACTY', * FROM dbo.SIPT_EVENT_ACTY WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.SIPT_EVENT_TOLL_TYPE', * FROM dbo.SIPT_EVENT_TOLL_TYPE WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.SIPT_RELTD_ORDR', * FROM dbo.SIPT_RELTD_ORDR WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		--SELECT 'dbo.CUST_SCRD_DATA-SIPT_EVENT', csd.* FROM dbo.SIPT_EVENT ev WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ev.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=18 WHERE ev.EVENT_ID=@EVENT_ID
	END
	ELSE IF (@EVENT_TYPE_ID = 19)
	BEGIN
		SELECT 'dbo.UCaaS_EVENT',* FROM dbo.UCaaS_EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.UCaaS_EVENT_BILLING',* FROM dbo.UCaaS_EVENT_BILLING WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.UCaaS_EVENT_ODIE_DEV',* FROM dbo.UCaaS_EVENT_ODIE_DEV WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.EVENT_DEV_CMPLT', * FROM dbo.EVENT_DEV_CMPLT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.EVENT_CPE_DEV', * FROM dbo.EVENT_CPE_DEV WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'EVENT_DEV_SRVC_MGMT' , * FROM dbo.EVENT_DEV_SRVC_MGMT  WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.REDSGN', rd.* FROM dbo.UCaaS_EVENT_ODIE_DEV ueod with (nolock) inner join
				dbo.REDSGN rd with (nolock) on rd.redsgn_nbr=ueod.RDSN_NBR
			WHERE ueod.EVENT_ID=@EVENT_ID
		SELECT 'dbo.REDSGN_DEVICES_INFO', rdi.* FROM dbo.UCaaS_EVENT_ODIE_DEV ueod with (nolock) inner join
				dbo.REDSGN rd with (nolock) on rd.redsgn_nbr=ueod.RDSN_NBR inner join
				dbo.REDSGN_DEVICES_INFO rdi with (nolock) on rdi.dev_nme=ueod.odie_dev_nme and rd.REDSGN_ID = rdi.REDSGN_ID
			WHERE ueod.EVENT_ID=@EVENT_ID
			  AND rdi.REC_STUS_ID=1
		--SELECT 'dbo.CUST_SCRD_DATA-UCaaS_EVENT', csd.* FROM dbo.UCaaS_EVENT ev WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=ev.EVENT_ID AND csd.SCRD_OBJ_TYPE_ID=20 WHERE ev.EVENT_ID=@EVENT_ID
	END

		SELECT 'dbo.EVENT', * FROM dbo.EVENT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.EMAIL_REQ', * FROM dbo.EMAIL_REQ WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.EVENT_HIST', * FROM dbo.EVENT_HIST WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.APPT', * FROM dbo.APPT WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.EVENT_ASN_TO_USER', * FROM dbo.EVENT_ASN_TO_USER WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID
		SELECT 'dbo.ODIE_REQ', * FROM dbo.ODIE_REQ WITH (NOLOCK) WHERE MDS_EVENT_ID=@EVENT_ID
		--SELECT 'dbo.CUST_SCRD_DATA-ODIE_REQ', csd.* FROM dbo.ODIE_REQ orq WITH (NOLOCK) INNER JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=orq.REQ_ID AND csd.SCRD_OBJ_TYPE_ID=12 WHERE orq.MDS_EVENT_ID=@EVENT_ID
		SELECT 'dbo.M5_EVENT_MSG', * FROM dbo.M5_EVENT_MSG WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID 
		SELECT DISTINCT 'dbo.M5_ORDR_MSG', mom.* 
		FROM dbo.M5_ORDR_MSG mom WITH (NOLOCK) INNER JOIN
		dbo.FSA_ORDR fo WITH (NOLOCK) ON fo.ORDR_ID=mom.ORDR_ID INNER JOIN
		dbo.EVENT_CPE_DEV ecd WITH (NOLOCK) ON ecd.CPE_ORDR_NBR=fo.FTN
		WHERE ecd.EVENT_ID=@EVENT_ID
		SELECT 'dbo.M5_REDSGN_MSG', * FROM dbo.M5_REDSGN_MSG WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID 
		SELECT 'dbo.REDSGN_DEV_EVENT_HIST', * FROM dbo.REDSGN_DEV_EVENT_HIST WITH (NOLOCK) WHERE EVENT_ID=@EVENT_ID 


END
